.navbar-wrapper {
  background: rgba(17, 1, 30, 0.2) no-repeat top;
  backdrop-filter: blur(10px);
  position: sticky;
  top: 0;
  z-index: 1;
  transition: background-color .2s;
}

.navbar {
  display: flex;
  align-items: center;
  justify-content: space-between;
}

.navbar-left {

}

.navbar__logo {

}

.navbar-right {
  display: flex;
  align-items: center;
}

.navbar-menu {
  display: flex;
  align-items: center;
  margin-right: 64px;
}

.navbar-menu__item {
  font-size: 17px;
  line-height: 21px;
  height: 84px;
  display: flex;
  align-items: center;
  position: relative;
}

.navbar-menu__item:hover, .navbar-menu__item.active {
  color: var(--green-normal)
}

.navbar-menu__item.active::after {
  content: '';
  width: 100%;
  height: 3px;
  background-color: var(--green-normal);
  position: absolute;
  bottom: 0;
  left: 0;
}

.navbar-menu__item:not(:last-child) {
  margin-right: 30px;
}

.navbar-language-switcher {
  display: flex;
  align-items: center;
  margin-right: 64px;
  cursor: pointer;
  padding: 0 4px;

  position: relative;
}

.navbar-language-switcher__img {
  margin-right: 4px;
}

.navbar-language-switcher__selected-language {
  margin-right: 4px;
  font-size: 17px;
  line-height: 21px;
  color: var(--white-normal)
}

.navbar-language-switcher__toggle-arrow {

}

.navbar-language-switcher-popover {
  position: absolute;
  top: 100%;
  left: 0;
  right: 0;
  margin-top: 8px;
  border-radius: 4px;
  overflow: hidden;
  opacity: 0;
  visibility: hidden;
  transition: opacity .5s .3s, visibility .5s .3s;
}

.navbar-language-switcher:hover .navbar-language-switcher-popover {
  opacity: 1;
  visibility: visible;
  transition: opacity .2s, visibility .2s;
}

.navbar-language-switcher-popover__item {
  display: flex;
  align-items: center;
  padding: 4px;
  background: rgba(255, 255, 255, 0.1);
}

.navbar-language-switcher-popover__item.active,
.navbar-language-switcher-popover__item:hover {
  background: rgba(255, 255, 255, 0.15);
}

.navbar-language-switcher-popover__item-img {
  margin-right: 4px;
}

.navbar-social {
  display: flex;
  align-items: center;
}

.navbar-social-link {

}

.navbar-social-link:not(:last-child) {
  margin-right: 20px;
}

.navbar-social-link__img {

}

.navbar-mobile-menu {
  display: none;
}

@media (max-width: 1200px) {
  .navbar-wrapper.opened {
    background: var(--main-bg-color);
  }

  .navbar {
    padding: 16px 0;
  }

  .navbar__logo {

  }

  .navbar-menu {
    display: none;
  }

  .navbar-language-switcher {
    margin-right: 16px;
    z-index: 1;
  }

  .navbar-language-switcher__img {

  }

  .navbar-language-switcher__selected-language {

  }

  .navbar-social {
    display: none;
  }

  .navbar-burger {
    width: 28px;
    height: 28px;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    row-gap: 4px;
  }

  .navbar-burger__line {
    width: 20px;
    height: 2px;
    background-color: var(--white-normal);
    transition: transform .2s, opacity .2s, visibility .2s;
  }

  .navbar-wrapper.opened .navbar-burger__line:first-child {
    transform: translateY(6px) rotate(-45deg);
  }

  .navbar-wrapper.opened .navbar-burger__line:nth-child(2) {
    opacity: 0;
    visibility: hidden;
  }

  .navbar-wrapper.opened .navbar-burger__line:last-child {
    transform: translateY(-6px) rotate(45deg);
  }

  .navbar-mobile-menu {
    display: block;
    background: var(--main-bg-color);
    position: absolute;
    left: 0;
    right: 0;
    top: 100%;
    width: 100%;
    transition: opacity .2s, visibility .2s;
    opacity: 0;
    visibility: hidden;
  }

  .navbar-wrapper.opened .navbar-mobile-menu {
    opacity: 1;
    visibility: visible;
  }

  .navbar-mobile-menu-links {
    display: flex;
    flex-direction: column;
    margin-bottom: 10px;
  }

  .navbar-mobile-menu-links__item {
    padding: 10px 14px;
    font-size: 14px;
    line-height: 17px;
    color: var(--white-normal)
  }

  .navbar-mobile-menu-links__item.active {
    background-color: var(--green-normal);
  }

  .navbar-mobile-menu-social {
    display: flex;
    justify-content: center;
    column-gap: 10px;
    padding-bottom: 10px;
  }

  .navbar-mobile-menu-social-link {

  }

  .navbar-mobile-menu-social-link__img {
    width: 20px;
  }


}
